import request from '@/utils/request'

// 查询办学层次设置（985、211）列表
export function listMallConfigLevel(query) {
  return request({
    url: '/mall/mallConfigLevel/list',
    method: 'get',
    params: query
  })
}

// 层次列表
export function selectLevelList() {
  return request({
    url: '/mall/mallConfigLevel/selectLevelList',
    method: 'get'
  })
}

// 查询办学层次设置（985、211）详细
export function getMallConfigLevel(configLevelId) {
  return request({
    url: '/mall/mallConfigLevel/' + configLevelId,
    method: 'get'
  })
}

// 新增办学层次设置（985、211）
export function addMallConfigLevel(data) {
  return request({
    url: '/mall/mallConfigLevel',
    method: 'post',
    data: data
  })
}

// 修改办学层次设置（985、211）
export function updateMallConfigLevel(data) {
  return request({
    url: '/mall/mallConfigLevel',
    method: 'put',
    data: data
  })
}

// 删除办学层次设置（985、211）
export function delMallConfigLevel(configLevelId) {
  return request({
    url: '/mall/mallConfigLevel/' + configLevelId,
    method: 'delete'
  })
}
